#include "guecs/ui.hpp"

namespace sfml {
  using std::string;

  class Backend : public guecs::Backend {
    int $shaders_version = 0;

  public:

    Backend();
    guecs::SpriteTexture texture_get(const string& name);
    void sound_play(const string& name);
    void sound_stop(const string& name);
    std::shared_ptr<sf::Shader> shader_get(const std::string& name);
    bool shader_updated();
    guecs::Theme theme();
  };
}
